Package Details: kaggle-api 1.5.3-1

Git Clone URL: https://aur.archlinux.org/kaggle-api.git (read-only)
Package Base: kaggle-api
Description: Kaggle API CLI
Upstream URL: https://github.com/Kaggle/kaggle-api
Keywords: cli kaggle learning machine
Licenses: Apache
Submitter: asermax
Maintainer: asermax
Last Packager: asermax
Votes: 4
Popularity: 0.007066
First Submitted: 2018-03-21 02:55
Last Updated: 2019-05-27 22:18

Latest Comments

oysteijo commented on 2019-07-05 19:35

To answer myself. This has already been reported upstream here: https://github.com/Kaggle/kaggle-api/issues/192 However there is no PR.

oysteijo commented on 2019-07-05 18:02

I build and install this, but it fails for me when I try to use it:

Traceback (most recent call last): File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 583, in _build_master ws.require(requires) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 900, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 791, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (urllib3 1.25.3 (/usr/lib/python3.7/site-packages), Requirement.parse('urllib3<1.25,>=1.21.1'), {'kaggle'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/kaggle", line 6, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3241, in <module> @_call_aside File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3225, in _call_aside f(args, *kwargs) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3254, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 585, in _build_master return cls._build_from_requirements(requires) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 598, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 786, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'urllib3<1.25,>=1.21.1' distribution was not found and is required by kaggle

asermax commented on 2019-05-27 22:19

@hottea thanks for the heads up and sorry for the delay

hottea commented on 2019-04-23 12:10

Hey, this package is available in https://pypi.org/project/kaggle/. It would be great to package from PyPI. You could refer to https://github.com/archlinuxcn/repo/tree/master/archlinuxcn/kaggle-api.